﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Configuration;

namespace StarFashion
{
    public partial class frmPassword : Form
    {
        private bool _isManager = false;

        public frmPassword()
        {
            InitializeComponent();
        }

        private void FormPassword_Load(object sender, EventArgs e)
        {
            txtUserName.Focus();
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            SqlCommand command = null;
            SqlDataReader reader = null;
            string statement = string.Empty;

            try
            {
                statement = string.Format("select Id, IsManager from Users where UserName = '{0}' and Password = '{1}'",
                        txtUserName.Text, txtPassword.Text);
                command = new SqlCommand();
                string connString = ConfigurationManager.ConnectionStrings["StarFashion.Properties.Settings.StarFashionConnectionString"].ConnectionString;
                command.Connection = new SqlConnection(connString);
                command.Connection.Open();
                command.CommandText = statement;
                reader = command.ExecuteReader();

                if (reader.HasRows)
                {
                    while (reader.Read())
                    {
                        _isManager = (bool)reader[1];
                        var mainForm = new frmMain(_isManager);
                        this.Hide(); //Hide the password form
                        mainForm.Show();
                    }
                }
                else
                {
                    MessageBox.Show("The username/password you entered is incorrect! Please try again");
                    txtPassword.Text = "";  // reset
                    txtPassword.Focus();
                    return;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Could not check the validity of the password because of the following exception: " +
                    ex.Message, "StarFashion");
                Application.Exit();
            }
            finally
            {
                reader.Close();
                command.Connection.Close();
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
